// SCRIPTS DEMO
// maquettes Portail
// ------------------------------------------------

// lien home
$('.logo').click(function(){
  window.location = "index-catalogue.html";
});

// keep dropdown open on click
$('.dropdown .keep-open').on({
    "click":function(e){ e.stopPropagation(); },
});

// lien toggle header
$('#am-toggle-header').click(function(){
  if($('#am-entete-de-page-block').hasClass('has-no-header')){
    $('#am-entete-de-page-block').removeClass('has-no-header');
  }else {
    $('#am-entete-de-page-block').addClass('has-no-header');
  }
});

// demo ouverture du menu corbeille premier niveau
$('.btn-menu').click(function(){
     var parent = $(this).parents('.menu-corbeille > .menu > li');
     var main = $(this).parents('.menu-corbeille');
     var target = $(this).parent();

    if(target.hasClass('show')){
      main.removeClass('show');
      parent.removeClass('show');
      target.removeClass('show');
    }else {
      main.addClass('show');
      parent.addClass('show');
      //$('.menu li').removeClass('show');
      target.addClass('show');
    }
});

// demo ouverture des sous menus
$('.btn.node').click(function(){
  $(this).parents('.node').siblings().removeClass('show');

 if ($(this).closest('li.node').hasClass('show')){
    $(this).closest('li.node').removeClass('show');
 }else{
    $(this).closest('li.node').addClass('show');
    console.log('show');
 }
});


// fermeture du backdrop
$('.backdrop,.obtenir-dossier, .instancier, .creer-dossier').on('click', function(event) {
  $(this).parent().removeClass('show');
  $('#am-navigation').removeClass('show');
  $('#am-navigation .dropdown-menu').removeClass('show')
  $('.menu li').removeClass('show');
});


// Demo navigation menus
$('.obtenir-dossier').on('click', function(event) {
  window.location = 'portail-bureau-metier-etapes.html'
});
$('a.instancier').on('click', function(event) {
    $('#modal-instancier').modal('show');
});
$('.creer-dossier ').on('click', function(event) {
  window.location = 'portail-bureau-metier.html'
});



// demo ouverture du menu afficher colonnes
$('#showColumnDropdpown').click(function(){
  $(this).parent().toggleClass('show');
});
$('.show-column .btn').click(function(){
  $(this).parents('.dropdown').removeClass('show');
});


// Instanciation des tooltips
$('[data-toggle="tooltip"]').tooltip();

// tooltips détachés de leurs parents et acceptant du contenu HTML
$(document).ready(function() {
    $('body').tooltip({
        selector: "[data-tooltip=tooltip]",
        container: "body",
        html: true
    });
});

$('#selection-fonction,#selection-organisme').on( "change", function() {
  $(this).parent().tooltip('hide')
      .attr('data-original-title', $(this).val())
      .tooltip('show');
});


// Instanciation des popover
//$('[data-toggle="popover"]').popover();

// Skiplinks via javascript to enable dynamic skiplinks
/*
$('#am-skiplinks a').on( "click", function() {
  var el = $(this).attr('href');
  $(el).focus();
  return false
});
*/


// Instanciation des select box via chosen.js
$('.chosen-simple-select').chosen({disable_search: true});
$('.chosen-select').chosen({
  allow_single_deselect: true,
  no_results_text : "Aucun résultat trouvé pour ",
  placeholder_text_multiple: "Choisissez une ou plusieurs options",
  placeholder_text_single: "Choisissez une option"
  });


// MODALES ALERTES & ACTUS
// ------------------------------------------------------------
// Démo liens en savoir plus dans les modales alertes et actus
$('.list-body .ensavoirplus').on( "click", function() {
  $(this).siblings().css('height', 'auto');
  $(this).parents('li').removeClass('unread');
  var lu = $(this).parents('li').siblings('.unread').length;
  $(this).parents('.article-list').find('.compteurnonlu').text(lu);
  $(this).hide();
  return false
});

// Démo tri dans les modales alertes et actus
$('#trialertes').change(function(){
  var allPanels = $('#alertetrilist .collapse')

  switch( $(this).val() ){
    case "Alphabétique" :
      allPanels.removeClass('show');
      $('#Alertetrialpha').addClass('show');
      break;
    case "Alphabétique inverse" :
      allPanels.removeClass('show');
      $('#Alertetrialphainverse').addClass('show');
      break;
    case "Chronologique" :
      allPanels.removeClass('show');
      $('#Alertetrichrono').addClass('show');
      break;
    case "Chronologique inverse" :
      allPanels.removeClass('show');
      $('#Alertetrichronoinverse').addClass('show');
      break;
    case "par Organisme émetteur" :
      allPanels.removeClass('show');
      $('#Alertetrichrono').addClass('show');
      break;
    case "Tout afficher" :
      allPanels.removeClass('show');
      $('#Alertetrichrono').addClass('show');
      break;
    case "Toutes les actualités non lues" :
      allPanels.removeClass('show');
      $('#Alertetrinonlu').addClass('show');
      break;
    default: break;
  }
});

// Démo liens rechercher les modales alertes et actus
$('#alertesearchtab1').on( "click", function() {
  $(this).val("mise à jour");
  var allPanels = $('#alertetrilist .collapse');
  allPanels.removeClass('show');
  $('#Alertesearchresult').addClass('show');
});



// Démo liens back to top en js pour scroller uniquement sur le contenu et remonter le focus en haut de page
$('#Haut-page').on( "click", function() {
  var top = $('#zone-de-travail-content').scrollTop();
  var el = $(this).attr('href');
  $('#zone-de-travail-content').scrollTop(0);
  $(el).focus();
  return false
});


//demo selection de toutes les checkbox d'un tableau
$('#selectAllCheckBox').on( "change", function() {
  var checkboxes = $(this).parents('table').find('input:checkbox')
  if($(this).is(':checked')) {
      checkboxes.prop('checked', true);
  } else {
      checkboxes.prop('checked', false);
  }
});


//demo tableau instancier
$('#modelefiltre').on( "change", function() {
    $('#modal-detail-filter').modal('show');
});


$('a.btn-filter').on( "click", function() {
  $(".panelfiltre").toggleClass('opened');
  var col =  $(this).parents('th').index();
  $('.panelfiltre .filtre').find('td').eq(col).find('input, select').first().focus();
});
